/**
 * 档案信息
 *
 * @export
 * @interface HRArchives
 */
export interface HRArchives {

    /**
     * 档案信息标识
     *
     * @returns {*}
     * @memberof HRArchives
     */
    hrarchivesid?: any;

    /**
     * 档案信息名称
     *
     * @returns {*}
     * @memberof HRArchives
     */
    hrarchivesname?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof HRArchives
     */
    createman?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof HRArchives
     */
    createdate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof HRArchives
     */
    updateman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof HRArchives
     */
    updatedate?: any;

    /**
     * 员工标识
     *
     * @returns {*}
     * @memberof HRArchives
     */
    hremployeeid?: any;

    /**
     * 员工姓名
     *
     * @returns {*}
     * @memberof HRArchives
     */
    hremployeename?: any;

    /**
     * 员工编号
     *
     * @returns {*}
     * @memberof HRArchives
     */
    employeecode?: any;

    /**
     * 单位
     *
     * @returns {*}
     * @memberof HRArchives
     */
    organizationname?: any;

    /**
     * 单位ID
     *
     * @returns {*}
     * @memberof HRArchives
     */
    organizationid?: any;

    /**
     * 员工状态
     *
     * @returns {*}
     * @memberof HRArchives
     */
    empstate?: any;

    /**
     * 档案编号
     *
     * @returns {*}
     * @memberof HRArchives
     */
    archivescode?: any;

    /**
     * 档案室
     *
     * @returns {*}
     * @memberof HRArchives
     */
    archivesroom?: any;

    /**
     * 档案保管地
     *
     * @returns {*}
     * @memberof HRArchives
     */
    archivesplacetype?: any;

    /**
     * 档案保管地
     *
     * @returns {*}
     * @memberof HRArchives
     */
    archivesplace?: any;

    /**
     * 档案学历
     *
     * @returns {*}
     * @memberof HRArchives
     */
    degree?: any;

    /**
     * 档案出生日期
     *
     * @returns {*}
     * @memberof HRArchives
     */
    birthday?: any;

    /**
     * 档案入党时间
     *
     * @returns {*}
     * @memberof HRArchives
     */
    politicaltime?: any;

    /**
     * 档案参加工作时间
     *
     * @returns {*}
     * @memberof HRArchives
     */
    startworktime?: any;

    /**
     * 是否有效
     *
     * @returns {*}
     * @memberof HRArchives
     */
    activeflag?: any;

    /**
     * 人事档案目录
     *
     * @returns {*}
     * @memberof HRArchives
     */
    attachment?: any;

    /**
     * 备注
     *
     * @returns {*}
     * @memberof HRArchives
     */
    memo?: any;

    /**
     * 档案借阅状态
     *
     * @returns {*}
     * @memberof HRArchives
     */
    borrowstate?: any;

    /**
     * 档案管理单位ID
     *
     * @returns {*}
     * @memberof HRArchives
     */
    hrorganizationid?: any;

    /**
     * 档案管理单位
     *
     * @returns {*}
     * @memberof HRArchives
     */
    hrorganizationname?: any;
}